Bug 152131

Summary: [iOS Simulator] Re-evaluate expected failures
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: iPhone / iPad   
OS: iOS 9.0   
Bug Depends on:    
Bug Blocks: 152130    

Description Ryan Haddad 2015-12-10 09:01:12 PST
[iOS Simulator] Re-evaluate expected failures

The following 876 tests were previously expected to fail, but now seem to be passing.

animations/trigger-container-scroll-empty.html
animations/trigger-container-scroll-simple.html
canvas/philip/tests/2d.drawImage.image.incomplete.omitted.html
compositing/contents-scale/incremental-change.html
compositing/iframes/iframe-size-from-zero.html
compositing/masks/compositing-clip-path-on-subpixel-position.html
compositing/regions/abs-transformed-dynamic-update.html
compositing/regions/fixed-in-named-flow-position-changed.html
compositing/regions/fixed-in-named-flow-zIndex.html
compositing/regions/inline-replaced-transformed-in-region.html
compositing/regions/position-layer-inside-region-overflow-hidden.html
compositing/regions/position-layers-inside-region-overflow-hidden.html
compositing/regions/position-layers-inside-regions-overflow-hidden.html
compositing/regions/region-as-layer-in-another-flowthread.html
compositing/regions/webkit-flow-renderer-layer-compositing.html
compositing/repaint/invalidations-on-composited-layers.html
compositing/sibling-layer-does-not-get-composited-overflow-hidden-case.html
css1/box_properties/acid_test.html
css3/background/background-repeat-round-padding.html
css3/blending/blend-mode-accelerated-parent-overflow-hidden.html
css3/blending/blend-mode-body-child-isolate-html-background-color.html
css3/blending/blend-mode-body-composited-child-background-color.html
css3/blending/blend-mode-body-composited-child.html
css3/blending/blend-mode-clip-accelerated-blending-child.html
css3/blending/blend-mode-clip-accelerated-blending-double.html
css3/blending/blend-mode-clip-accelerated-blending-with-siblings.html
css3/blending/blend-mode-clip-rect-accelerated-blending.html
css3/calc/transitions.html
css3/conditional/w3c/at-supports-010.html
css3/conditional/w3c/at-supports-014.html
css3/filters/backdrop/effect-hw.html
css3/flexbox/auto-margins.html
css3/flexbox/csswg/css-box-justify-content.html
css3/flexbox/csswg/css-flexbox-img-expand-evenly.html
css3/flexbox/csswg/css-flexbox-row.html
css3/flexbox/csswg/css-flexbox-test1.html
css3/flexbox/csswg/flex-align-items-center.html
css3/flexbox/csswg/flex-flexitem-percentage-prescation.html
css3/flexbox/csswg/flex-items-flexibility.html
css3/flexbox/csswg/flex-lines/multi-line-wrap-reverse-column-reverse.html
css3/flexbox/csswg/flex-lines/multi-line-wrap-with-column-reverse.html
css3/flexbox/csswg/flexbox_direction-row-reverse.html
css3/flexbox/csswg/flexbox_flex-natural-mixed-basis-auto.html
css3/flexbox/csswg/flexbox_generated-container.html
css3/flexbox/csswg/flexbox_justifycontent-center-overflow.html
css3/flexbox/csswg/flexbox_min-height-auto.html
css3/flexbox/csswg/flexbox_min-width-auto.html
css3/flexbox/csswg/flexbox_stf-table-singleline.html
css3/flexbox/csswg/flexbox_visibility-collapse-line-wrapping.html
css3/flexbox/csswg/flexbox_visibility-collapse.html
css3/flexbox/csswg/flexbox_writing_mode_vertical_lays_out_contents_from_top_to_bottom.html
css3/flexbox/csswg/flexbox-flex-wrap-flexing.html
css3/flexbox/csswg/order/order-with-column-reverse.html
css3/flexbox/csswg/ttwf-reftest-flex-direction-row-reverse.html
css3/flexbox/csswg/ttwf-reftest-flex-inline.html
css3/flexbox/csswg/ttwf-reftest-flex-order.html
css3/flexbox/image-percent-max-height.html
css3/flexbox/multiline-reverse-wrap-baseline.html
css3/font-feature-settings-rendering.html
css3/line-break-language-sensitive/line-break-auto-hyphens.html
css3/line-break-language-sensitive/line-break-loose-hyphens.html
css3/line-break-language-sensitive/line-break-normal-hyphens.html
css3/line-break-language-sensitive/line-break-strict-hyphens.html
css3/masking/clip-path-reference-userSpaceOnUse.html
css3/masking/mask-base64.html
css3/masking/mask-repeat-round-padding.html
css3/masking/mask-repeat-space-padding.html
css3/selectors3/xml/css3-modsel-d1.xml
css3/selectors3/xml/css3-modsel-d3.xml
css3/selectors3/xml/css3-modsel-d4.xml
css3/shapes/shape-outside/shape-box/shape-outside-box-002.html
css3/shapes/shape-outside/shape-box/shape-outside-box-003.html
css3/shapes/shape-outside/shape-box/shape-outside-box-004.html
css3/shapes/shape-outside/shape-box/shape-outside-box-006.html
css3/shapes/shape-outside/shape-box/shape-outside-box-007.html
css3/shapes/shape-outside/shape-box/shape-outside-box-008.html
css3/shapes/shape-outside/shape-image/shape-image-000.html
css3/shapes/shape-outside/shape-image/shape-image-004.html
css3/shapes/shape-outside/shape-image/shape-image-009.html
css3/shapes/shape-outside/shape-image/shape-image-010.html
css3/shapes/shape-outside/shape-image/shape-image-013.html
css3/shapes/shape-outside/shape-image/shape-image-015.html
css3/shapes/shape-outside/shape-image/shape-image-016.html
css3/shapes/shape-outside/shape-image/shape-image-024.html
css3/shapes/shape-outside/shape-image/shape-image-025.html
css3/shapes/shape-outside/supported-shapes/circle/shape-outside-circle-017.html
css3/shapes/shape-outside/supported-shapes/circle/shape-outside-circle-019.html
css3/shapes/shape-outside/supported-shapes/circle/shape-outside-circle-027.html
css3/shapes/shape-outside/supported-shapes/ellipse/shape-outside-ellipse-017.html
css3/shapes/shape-outside/supported-shapes/inset/shape-outside-inset-010.html
css3/shapes/shape-outside/supported-shapes/inset/shape-outside-inset-011.html
css3/shapes/shape-outside/supported-shapes/inset/shape-outside-inset-012.html
css3/shapes/shape-outside/supported-shapes/inset/shape-outside-inset-013.html
css3/shapes/shape-outside/supported-shapes/inset/shape-outside-inset-014.html
css3/shapes/shape-outside/supported-shapes/inset/shape-outside-inset-015.html
css3/unicode-bidi-isolate-aharon-failing.html
css3/viewport-percentage-lengths/vh-resize.html
editing/caret/color-span-inside-editable-background.html
editing/caret/color-span-inside-editable.html
editing/deleting/delete-emoji.html
editing/deleting/transpose-empty.html
editing/execCommand/remove-list-item-1.html
editing/selection/move-past-trailing-space.html
editing/selection/previous-line-position.html
editing/selection/replaced-boundaries-1.html
editing/selection/replaced-boundaries-2.html
editing/selection/replaced-boundaries-3.html
editing/selection/select-all-005.html
editing/selection/select-all-006.html
editing/selection/select-box.html
editing/selection/select-element-paragraph-boundary.html
editing/selection/select-missing-image.html
editing/selection/selection-3748164-fix.html
editing/selection/selection-applet.html
editing/selection/table-caret-1.html
editing/selection/table-caret-2.html
editing/selection/unrendered-space.html
editing/style/style-3690704-fix.html
editing/style/toggle-style-bold-italic-mixed-editability.html
editing/style/toggle-style-bold-italic.html
editing/style/typing-style-003.html
editing/text-iterator/thai-cursor-movement.html
editing/undo/4063751.html
editing/unsupported-content/list-delete-003.html
editing/unsupported-content/list-type-after.html
fast/backgrounds/background-opaque-images-over-color.html
fast/backgrounds/gradient-background-on-subpixel-position.html
fast/backgrounds/selection-background-color.html
fast/block/basic/011.html
fast/block/basic/minheight.html
fast/block/float/floats-offset-image-strict.html
fast/block/line-layout/selection-highlight-overlap.html
fast/block/margin-collapse/103.html
fast/block/positioning/offsetLeft-offsetTop-multicolumn.html
fast/borders/border-image-fill-no-border.html
fast/borders/border-painting-correctness-dashed.html
fast/borders/border-painting-correctness-dotted.html
fast/borders/border-painting-dashed.html
fast/borders/border-painting-dotted.html
fast/borders/border-painting-double.html
fast/borders/border-radius-on-subpixel-position-non-hidpi.html
fast/borders/dashed-border-on-subpixel-position.html
fast/borders/dotted-border-on-subpixel-position.html
fast/borders/hidpi-double-border-with-border-radius-always-produce-solid-line.html
fast/clip/clip-when-rect-has-fractional-pixel-value.html
fast/css-generated-content/pseudo-animation.html
fast/css-generated-content/pseudo-transition.html
fast/css-intrinsic-dimensions/height-css-tables.html
fast/css-intrinsic-dimensions/height-tables.html
fast/css/002.html
fast/css/cascade/background-origin-and-webkit-background-origin-cascade-order.html
fast/css/empty-cell-baseline.html
fast/css/negative-text-indent-in-inline-block.html
fast/css/object-fit/object-fit-input-image.html
fast/css/object-fit/object-fit-video-poster.html
fast/css/pseudo-any.html
fast/css/pseudo-element-selector-scrollbar-hover.html
fast/css/read-only-read-write-input-basics.html
fast/css/sticky/inflow-sticky.html
fast/css/sticky/inline-sticky-abspos-child.html
fast/css/sticky/inline-sticky.html
fast/css/sticky/replaced-sticky.html
fast/css/sticky/sticky-as-positioning-container.html
fast/css/sticky/sticky-both-sides.html
fast/css/sticky/sticky-left-percentage.html
fast/css/sticky/sticky-left.html
fast/css/sticky/sticky-margins.html
fast/css/sticky/sticky-side-margins.html
fast/css/sticky/sticky-table-row-top.html
fast/css/sticky/sticky-table-thead-top.html
fast/css/sticky/sticky-top-margins.html
fast/css/sticky/sticky-top-zoomed.html
fast/css/sticky/sticky-top.html
fast/css/sticky/sticky-writing-mode-horizontal-bt.html
fast/css/sticky/sticky-writing-mode-vertical-lr.html
fast/css/sticky/sticky-writing-mode-vertical-rl.html
fast/css/text-overflow-input-focus-placeholder.html
fast/css/variables/test-suite/failures/024.html
fast/css/variables/test-suite/failures/025.html
fast/css/variables/test-suite/failures/026.html
fast/css/variables/test-suite/failures/028.html
fast/css/variables/test-suite/failures/030.html
fast/css/variables/test-suite/failures/054.html
fast/css/variables/test-suite/failures/055.html
fast/css/variables/test-suite/failures/056.html
fast/css/variables/test-suite/failures/058.html
fast/css/variables/test-suite/failures/071.html
fast/css/variables/test-suite/failures/081.html
fast/css/variables/test-suite/failures/082.html
fast/css/variables/test-suite/failures/085.html
fast/css/variables/test-suite/failures/086.html
fast/css/variables/test-suite/failures/087.html
fast/css/variables/test-suite/failures/091.html
fast/css/variables/test-suite/failures/103.html
fast/css/variables/test-suite/failures/111.html
fast/css/variables/test-suite/failures/115.html
fast/css/variables/test-suite/failures/126.html
fast/css/variables/test-suite/failures/152.html
fast/css/variables/test-suite/failures/159.html
fast/css/variables/test-suite/failures/161.html
fast/css/variables/test-suite/failures/163.html
fast/css/variables/test-suite/failures/169.html
fast/css/vertical-align-baseline-rowspan-010.html
fast/css/vertical-align-block-elements.html
fast/css/word-spacing-between-blocks.html
fast/css/word-spacing-between-inlines.html
fast/css/word-spacing-characters.html
fast/css3-text/css3-text-align-last/text-align-last-with-text-align-justify.html
fast/css3-text/css3-text-decoration/no-gap-between-two-rounded-textboxes.html
fast/css3-text/css3-text-decoration/text-decoration-skip/text-decoration-skip-ink-inherit.html
fast/dom/custom/lifecycle-ready-parser-only.html
fast/dom/Document/xml-document-focus.xml
fast/dom/Geolocation/callback-to-deleted-context.html
fast/dom/timer-increase-min-interval-and-reset-part-2.html
fast/dom/Window/post-message-crash.html
fast/events/constructors/media-stream-event-constructor.html
fast/events/scroll-to-anchor-vertical-lr-writing-mode.html
fast/events/scroll-to-anchor-vertical-writing-mode.html
fast/filter-image/background-filter-image.html
fast/filter-image/clipped-filter.html
fast/filter-image/filter-image.html
fast/forms/border-color-relayout.html
fast/forms/button-line-height.html
fast/forms/button-with-float.html
fast/forms/datalist/datalist-fallback-content.html
fast/forms/file/file-input-reset.html
fast/forms/file/file-vertical-padding-border.html
fast/forms/hidpi-textarea-on-subpixel-position.html
fast/forms/hidpi-textfield-background-bleeding.html
fast/forms/input-first-letter-edit.html
fast/forms/input-textarea-padding-match.html
fast/forms/password-placeholder-text-security.html
fast/forms/plaintext-mode-2.html
fast/forms/search-styled.html
fast/forms/select/select-painting.html
fast/forms/textarea-placeholder-wrapping.html
fast/forms/textarea-selection-preservation.html
fast/frames/flattening/scrolling-in-object.html
fast/frames/hidpi-position-iframe-on-device-pixel.html
fast/hidpi/image-srcset-svg-canvas.html
fast/images/animated-png.html
fast/images/background-image-size-changes-fractional-position.html
fast/images/pdf-as-image-with-annotations.html
fast/inline/hidpi-inline-selection-leaves-gap.html
fast/inline/hidpi-inline-text-decoration-with-subpixel-value.html
fast/inline/hidpi-pixel-gap-between-adjacent-selection-inlines.html
fast/inline/hidpi-rtl-text-does-not-fit-line-and-gets-cut-off.html
fast/inline/hidpi-select-inline-on-subpixel-position.html
fast/inline/hidpi-selection-gap-and-inline-selection-have-gap-rtl.html
fast/inline/hidpi-selection-gap-on-subpixel-position.html
fast/inline/hidpi-selection-gap-overlaps-inline-selection.html
fast/inline/layout-after-inserting-nested-br.html
fast/invalid/008.html
fast/layers/no-clipping-overflow-hidden-added-after-transition.html
fast/layers/no-clipping-overflow-hidden-hardware-acceleration.html
fast/layers/parent-clipping-overflow-is-overwritten-by-child-clipping.html
fast/layers/wrong-clipping-semi-transparent-compositing-layer-on-subpixel-position.html
fast/layers/wrong-clipping-semi-transparent-layer-on-subpixel-position.html
fast/masking/clip-path-on-subpixel-position.html
fast/media/mq-max-pixel-ratio.html
fast/media/mq-min-pixel-ratio.html
fast/media/mq-pixel-ratio.html
fast/media/view-mode-media-feature.html
fast/media/viewport-media-query.html
fast/multicol/mixed-opacity-fixed-test.html
fast/multicol/nested-filter-in-columns.html
fast/multicol/newmulticol/insert-row-content1.html
fast/multicol/newmulticol/insert-row-content2.html
fast/multicol/newmulticol/insert-row-content3.html
fast/multicol/newmulticol/insert-row-content4.html
fast/multicol/newmulticol/insert-row-content5.html
fast/multicol/newmulticol/insert-row-content6.html
fast/multicol/newmulticol/insert-row-content7.html
fast/multicol/newmulticol/insert-row-content8.html
fast/multicol/newmulticol/insert-row-content9.html
fast/multicol/newmulticol/insert-spanner1.html
fast/multicol/newmulticol/insert-spanner2.html
fast/multicol/newmulticol/insert-spanner3.html
fast/multicol/newmulticol/insert-spanner4.html
fast/multicol/newmulticol/insert-spanner5.html
fast/multicol/newmulticol/insert-spanner6.html
fast/multicol/newmulticol/insert-spanner7.html
fast/multicol/newmulticol/multicol-clip-rounded-corners.html
fast/multicol/newmulticol/remove-row-content1.html
fast/multicol/newmulticol/remove-row-content3.html
fast/multicol/newmulticol/remove-row-content5.html
fast/multicol/newmulticol/remove-row-content7.html
fast/multicol/newmulticol/remove-row-content8.html
fast/multicol/newmulticol/remove-row-content9.html
fast/multicol/split-in-top-margin.html
fast/overflow/003.xml
fast/overflow/infiniteRecursion.html
fast/parser/external-entities-in-xslt.xml
fast/regions/absolute-in-relative-overflow.html
fast/regions/absolute-pos-elem-in-region.html
fast/regions/animation-element-in-region-flowed-to-other-thread.html
fast/regions/auto-size/autoheight-abspos-region.html
fast/regions/auto-size/autoheight-allregions-nobreaks.html
fast/regions/auto-size/autoheight-allregions.html
fast/regions/auto-size/autoheight-break-after.html
fast/regions/auto-size/autoheight-breakafteralways-maxheight.html
fast/regions/auto-size/autoheight-breakbeforealways.html
fast/regions/auto-size/autoheight-correct-region-for-lines-2.html
fast/regions/auto-size/autoheight-correct-region-for-lines.html
fast/regions/auto-size/autoheight-definedheight-changenotdetected.html
fast/regions/auto-size/autoheight-dynamic-update.html
fast/regions/auto-size/autoheight-firstregion-breakalways.html
fast/regions/auto-size/autoheight-flexbox.html
fast/regions/auto-size/autoheight-floatright-region.html
fast/regions/auto-size/autoheight-horizontal-bt.html
fast/regions/auto-size/autoheight-inlineblock-normalflow-region.html
fast/regions/auto-size/autoheight-lastregion-overflowauto-breaksignored.html
fast/regions/auto-size/autoheight-lastregion-overflowauto.html
fast/regions/auto-size/autoheight-maxheight-region.html
fast/regions/auto-size/autoheight-middleregion.html
fast/regions/auto-size/autoheight-minheight-region.html
fast/regions/auto-size/autoheight-normalflow-region.html
fast/regions/auto-size/autoheight-region-valid-from-invalid.html
fast/regions/auto-size/autoheight-secondregion-breakoutside.html
fast/regions/auto-size/autoheight-secondregion.html
fast/regions/auto-size/autoheight-singleregion-breakafteralways-maxheight.html
fast/regions/auto-size/autoheight-singleregion-breakafteralways.html
fast/regions/auto-size/autoheight-singleregion-breakaftermargin.html
fast/regions/auto-size/autoheight-singleregion-breakbeforealways-minheight.html
fast/regions/auto-size/autoheight-singleregion-breakbeforealways.html
fast/regions/auto-size/autoheight-singleregion-multiplebreaks.html
fast/regions/auto-size/autoheight-singleregion-overflowauto-breaksignored.html
fast/regions/auto-size/autoheight-singleregion-overflowauto.html
fast/regions/auto-size/autowidth-abspos-regionchain.html
fast/regions/auto-size/autowidth-abspos.html
fast/regions/auto-size/autowidth-float.html
fast/regions/auto-size/autowidth-inlineblock.html
fast/regions/auto-size/autowidth-nonreplaced-abspos.html
fast/regions/auto-size/autowidth-nonreplacedblock-normalflow.html
fast/regions/auto-size/autowidth-normalflow-minmaxwidth.html
fast/regions/auto-size/autowidth-normalflow-minwidth.html
fast/regions/auto-size/autowidth-normalflow.html
fast/regions/box-decorations-over-region-padding-fragmented.html
fast/regions/box-decorations-over-region-padding-horiz-bt.html
fast/regions/box-decorations-over-region-padding.html
fast/regions/clip-to-padding-box-margins.html
fast/regions/clip-to-padding-box-vertical-lr.html
fast/regions/clip-to-padding-box.html
fast/regions/collapse-anonymous-region.html
fast/regions/content-relative-next-tile.html
fast/regions/counters/extract-list-items-001.html
fast/regions/counters/extract-list-items-002.html
fast/regions/counters/extract-list-items-003.html
fast/regions/counters/extract-list-items-004.html
fast/regions/counters/extract-list-items-005.html
fast/regions/counters/extract-list-items-006.html
fast/regions/counters/extract-list-items-007.html
fast/regions/counters/extract-list-items-008.html
fast/regions/counters/extract-list-items-009.html
fast/regions/counters/extract-list-items-010.html
fast/regions/counters/extract-list-items-011.html
fast/regions/counters/extract-list-items-012.html
fast/regions/counters/extract-list-items-013.html
fast/regions/counters/extract-list-items-014.html
fast/regions/counters/extract-list-items-015.html
fast/regions/counters/extract-numbered-paragraphs-divs-001.html
fast/regions/counters/extract-numbered-paragraphs-divs-002.html
fast/regions/counters/extract-numbered-paragraphs.html
fast/regions/counters/extract-numbered-spans-display-only-some.html
fast/regions/counters/extract-ordered-lists-in-regions-001.html
fast/regions/counters/extract-ordered-lists-in-regions-002.html
fast/regions/counters/extract-ordered-lists-in-regions-003.html
fast/regions/counters/extract-ordered-lists-in-regions-explicit-counters-001.html
fast/regions/counters/extract-ordered-lists-in-regions-explicit-counters-002.html
fast/regions/counters/extract-ordered-lists-in-regions-explicit-counters-003.html
fast/regions/counters/extract-ordered-lists-in-regions-explicit-counters-004.html
fast/regions/counters/extract-ordered-lists-in-regions-explicit-counters-005.html
fast/regions/counters/extract-unordered-lists-in-regions.html
fast/regions/drag-scrollbars-of-content.html
fast/regions/float-pushed-width-change-2.html
fast/regions/float-pushed-width-change.html
fast/regions/float-slicing-on-forced-break.html
fast/regions/floats-basic-in-variable-width-regions.html
fast/regions/fragmentation-after-float-overflow-single-region.html
fast/regions/fragmentation-after-monolithic-overflow-self-collapsed.html
fast/regions/fragmentation-after-monolithic-overflow-single-region.html
fast/regions/fragmentation-after-monolithic-overflow.html
fast/regions/frame-view-overflow-scroll.html
fast/regions/generated-content/firstletter-inside-flowthread.html
fast/regions/hidpi-region-with-auto-margin-on-subpixel-position.html
fast/regions/hover-and-js-in-visual-overflow.html
fast/regions/hover-content-inside-iframe-in-region.html
fast/regions/hover-element-flowed-second-region.html
fast/regions/hover-in-second-region.html
fast/regions/hover-overflow-hidden.html
fast/regions/hover-single-flow-from-none-overflow-top.html
fast/regions/hover-single-flow-from-none-overflow.html
fast/regions/hover-single-flow-from-none.html
fast/regions/hover-single-flow-from-other.html
fast/regions/hover-single-flow-into-none.html
fast/regions/hover-single-flow-into-other.html
fast/regions/inline-block-flowed-in-regions.html
fast/regions/inline-block-inline-children-flowed-in-regions.html
fast/regions/inline-block-inside-anonymous-overflow.html
fast/regions/inline-block-overflow.html
fast/regions/inline-blocks-dyn-enlarged-regions.html
fast/regions/inline-blocks-dyn-shrunk-regions.html
fast/regions/inline-blocks-in-two-regions.html
fast/regions/inlineblock-child-inlineblock-contentnode-in-region.html
fast/regions/last-region-border-radius.html
fast/regions/layers/region-normalflow-stacking-context.html
fast/regions/layers/stacking-context-paint-order.html
fast/regions/list-item-as-region.html
fast/regions/listmarker-inside-flowthread.html
fast/regions/multicol/multicol-as-region-prevented.html
fast/regions/multicol/regions-in-multicol-bt.html
fast/regions/multicol/regions-in-multicol-hover-overflow.html
fast/regions/multicol/regions-in-multicol-hover.html
fast/regions/multicol/regions-in-multicol.html
fast/regions/named-flow-content-order-1.html
fast/regions/named-flow-content-order-2.html
fast/regions/nested-floated-region.html
fast/regions/overflow/overflow-auto-after-float.html
fast/regions/overflow/overflow-content-zero-height-region.html
fast/regions/overflow/overflow-first-and-last-regions-in-container-hidden.html
fast/regions/overflow/overflow-first-and-last-regions.html
fast/regions/overflow/overflow-in-uniform-regions.html
fast/regions/overflow/overflow-in-variable-width-regions-inline-bt.html
fast/regions/overflow/overflow-in-variable-width-regions-inline-continuation.html
fast/regions/overflow/overflow-in-variable-width-regions-inline-lr.html
fast/regions/overflow/overflow-in-variable-width-regions-inline-rl.html
fast/regions/overflow/overflow-in-variable-width-regions-inline.html
fast/regions/overflow/overflow-in-variable-width-regions.html
fast/regions/overflow/overflow-nested-regions.html
fast/regions/overflow/overflow-not-moving-below-floats-in-variable-width-regions.html
fast/regions/overflow/overflow-region-inline.html
fast/regions/overflow/overflow-region-transform.html
fast/regions/overflow/overflow-rtl-in-variable-width-regions.html
fast/regions/overflow/overflow-scrollable-1.html
fast/regions/overflow/overflow-scrollable-2.html
fast/regions/overflow/overflow-scrollable-3.html
fast/regions/overflow/overflow-scrollable-fit.html
fast/regions/overflow/overflow-size-change-in-variable-width-regions.html
fast/regions/overflow/overflow-size-change-with-stacking-context-rtl.html
fast/regions/overflow/overflow-size-change-with-stacking-context.html
fast/regions/percentage-margins-mixed-ltr-dominant-regions.html
fast/regions/percentage-margins-mixed-rtl-dominant-regions.html
fast/regions/percentage-margins-rtl-variable-width-regions.html
fast/regions/percentage-margins-variable-width-regions.html
fast/regions/positioning/fixed-in-named-flow-position-changed.html
fast/regions/positioning/fixed-inside-fixed-in-named-flow.html
fast/regions/positioning/fixed-inside-named-flow-zIndex.html
fast/regions/positioning/fixed-pos-content-fragmented.html
fast/regions/positioning/fixed-pos-elem-in-namedflow-noregions.html
fast/regions/positioning/fixed-pos-elem-in-region.html
fast/regions/positioning/fixed-pos-region-overflow-content.html
fast/regions/positioning/positioned-fragmented-content.html
fast/regions/positioning/positioned-objects-block-static-in-regions.html
fast/regions/positioning/positioned-objects-block-static-in-rtl-regions.html
fast/regions/positioning/positioned-objects-block-static-spanning-regions-rtl.html
fast/regions/positioning/positioned-objects-block-static-spanning-regions.html
fast/regions/positioning/positioned-objects-clipped-spanning-regions.html
fast/regions/positioning/positioned-objects-in-regions.html
fast/regions/positioning/positioned-objects-in-rtl-regions.html
fast/regions/positioning/positioned-objects-inline-static-in-regions.html
fast/regions/positioning/positioned-objects-inline-static-in-rtl-regions.html
fast/regions/positioning/positioned-objects-inline-static-spanning-regions-rtl.html
fast/regions/positioning/positioned-objects-inline-static-spanning-regions.html
fast/regions/positioning/positioned-objects-perpendicular-flows-in-regions.html
fast/regions/positioning/positioned-objects-spanning-regions.html
fast/regions/positioning/positioned-slider-in-regions.html
fast/regions/region-as-bfc-avoids-float.html
fast/regions/region-border-radius-overflow-clip.html
fast/regions/region-clipping.html
fast/regions/region-padding-overflow-hidden.html
fast/regions/region-styling/region-style-in-columns.html
fast/regions/region-styling/region-style-inline-background-color.html
fast/regions/region-styling/region-style-not-supported-properties.html
fast/regions/region-styling/region-style-rule-position.html
fast/regions/region-styling/region-withstyling-valid-from-invalid.html
fast/regions/region-visual-overflow-transform.html
fast/regions/region-width-change-relayout-1.html
fast/regions/region-width-change-relayout-2.html
fast/regions/region-width-change-relayout-3.html
fast/regions/regions-overflow-tile.html
fast/regions/relative-borders-overflow.html
fast/regions/relative-in-absolute-borders-overflow.html
fast/regions/repaint/fixed-in-named-flow-cb-changed.html
fast/regions/repaint/fixed-in-named-flow-cb-changed2.html
fast/regions/repaint/region-painting-composited-element.html
fast/regions/repaint/region-painting-in-composited-view.html
fast/regions/scrolling/scroll-into-view-relative.html
fast/regions/scrolling/scroll-into-view.html
fast/regions/scrolling/scrollable-first-region.html
fast/regions/scrolling/scrollable-paragraph-unsplittable.html
fast/regions/scrolling/scrollable-region-content-size-horiz-bt.html
fast/regions/scrolling/scrollable-region-content-size-no-overflow-horiz-bt.html
fast/regions/scrolling/scrollable-region-content-size-no-overflow.html
fast/regions/scrolling/scrollable-region-content-size-relative.html
fast/regions/scrolling/scrollable-region-content-size.html
fast/regions/scrolling/scrollable-region-scrollable-content.html
fast/regions/scrolling/scrollable-single-region-bt.html
fast/regions/scrolling/scrollable-single-region-relative-element.html
fast/regions/scrolling/scrollable-single-region.html
fast/regions/scrolling/wheel-scrollable-single-region.html
fast/regions/selection/selecting-text-ignoring-region-horiz-bt.html
fast/regions/selection/selecting-text-ignoring-region.html
fast/regions/selection/selecting-text-in-2-regions-horiz-bt.html
fast/regions/selection/selecting-text-in-2-regions.html
fast/regions/selection/selecting-text-through-different-region-flows.html
fast/regions/selection/selection-in-overflow-hit-testing.html
fast/regions/selection/selection-in-overflow.html
fast/regions/selection/selection-in-text-after-overflow-hit-testing.html
fast/regions/shape-outside-floats/regions-shape-outside-content-flows-multiple-regions.html
fast/regions/shape-outside-floats/regions-shape-outside-floats-inset.html
fast/regions/shape-outside-floats/regions-shape-outside-region-polygon-floats.html
fast/regions/static-in-relative-overflow.html
fast/regions/sticky-border-overflow.html
fast/regions/subtree-with-horiz-bt.html
fast/regions/subtree-with-vert-lr.html
fast/regions/subtree-with-vert-rl.html
fast/regions/table-cell-as-region.html
fast/regions/top-overflow-out-of-second-region.html
fast/regions/unsplittable-nested-region.html
fast/regions/visibility-hidden.html
fast/regions/webkit-flow-double-pagination-float-push.html
fast/regions/webkit-flow-inlines-dynamic.html
fast/regions/webkit-flow-renderer-layer.html
fast/regions/webkit-flow-renderer-nested.html
fast/regions/webkit-flow-renderer.html
fast/regions/writing-mode/invalid-first-region-with-writing-mode-2.html
fast/regions/writing-mode/invalid-first-region-with-writing-mode.html
fast/ruby/ruby-expansion-cjk-2.html
fast/ruby/ruby-expansion-cjk-3.html
fast/ruby/ruby-expansion-cjk-4.html
fast/ruby/ruby-expansion-cjk-5.html
fast/ruby/ruby-expansion-cjk.html
fast/ruby/ruby-justification.html
fast/selectors/input-with-selection-pseudo-element.html
fast/selectors/selection-window-inactive.html
fast/shadow-dom/computed-style-display-none.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-assigned-node-with-before-after.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-assigned-node-with-rules.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-host-functional-rule.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-host-rule.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-host-with-before-after.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-invisible-slot.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-root-hides-children.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-slot-display-override.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-slot-fallback.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-slot.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-slotted-rule.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-with-outside-rules.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-with-rules-no-style-leak.html	fail image	history internal history
fast/shadow-dom/css-scoping-shadow-with-rules.html	fail image	history internal history
fast/shadow-dom/Element-interface-shadowRoot-attribute.html	fail image	history internal history
fast/shadow-dom/event-inside-shadow-tree.html	fail image	history internal history
fast/shadow-dom/event-inside-slotted-node.html	fail image	history internal history
fast/shadow-dom/event-with-related-target.html	fail image	history internal history
fast/shadow-dom/HTMLSlotElement-interface.html	fail image	history internal history
fast/shadow-dom/insert-child-to-assigned-node.html	fail image	history internal history
fast/shadow-dom/NonDocumentTypeChildNode-interface-assignedSlot.html	fail image	history internal history
fast/shadow-dom/shadow-layout-after-attach-shadow.html	fail image	history internal history
fast/shadow-dom/shadow-layout-after-host-child-changes.html	fail image	history internal history
fast/shadow-dom/shadow-layout-after-inserting-or-removing-host-child.html	fail image	history internal history
fast/shadow-dom/shadow-layout-after-slot-changes.html	fail image	history internal history
fast/shadow-dom/shadow-layout-after-slot-fallback-changes.html	fail image	history internal history
fast/shadow-dom/shadow-root-with-child-whitespace-text-crash.html	fail image	history internal history
fast/shadow-dom/ShadowRoot-interface.html	fail image	history internal history
fast/shadow-dom/slot-removal-crash.html	fail image	history internal history
fast/shapes/shape-outside-floats/shape-outside-floats-layout-after-initial-layout-pass.html
fast/shapes/shape-outside-floats/shape-outside-floats-shape-margin-percent.html
fast/sub-pixel/block-with-margin-overflow.html
fast/sub-pixel/client-rect-has-subpixel-precision.html
fast/sub-pixel/clip-rect-box-consistent-rounding.html
fast/sub-pixel/file-upload-control-at-fractional-offset.html
fast/sub-pixel/float-wrap-with-subpixel-top.html
fast/sub-pixel/input-caret-on-subpixel-bound.html
fast/sub-pixel/scaled-background-image.html
fast/sub-pixel/selection/selection-gaps-at-fractional-offsets.html
fast/sub-pixel/sub-pixel-composited-layers.html
fast/sub-pixel/sub-pixel-root-layer.html
fast/table/border-collapsing/collapsed-borders-adjoining-sections.html
fast/text-autosizing/cluster-inline-block-or-table.html
fast/text-autosizing/cluster-inline-grid-flex-box.html
fast/text-autosizing/cluster-list-item.html
fast/text-autosizing/cluster-narrow-in-wide-ohidden.html
fast/text-autosizing/cluster-narrow-in-wide.html
fast/text-autosizing/cluster-wide-in-narrow.html
fast/text-autosizing/cluster-with-narrow-lca-and-cluster.html
fast/text-autosizing/cluster-with-narrow-lca.html
fast/text-autosizing/cluster-with-wide-lca.html
fast/text-autosizing/clusters-insufficient-text.html
fast/text-autosizing/clusters-insufficient-width.html
fast/text-autosizing/clusters-sufficient-text-except-in-root.html
fast/text-autosizing/clusters-sufficient-width.html
fast/text-autosizing/constrained-and-overflow-auto-ancestor.html
fast/text-autosizing/constrained-and-overflow-paged-x-ancestor.html
fast/text-autosizing/constrained-and-overflow-scroll-ancestor.html
fast/text-autosizing/constrained-height-body.html
fast/text-autosizing/constrained-then-float-ancestors.html
fast/text-autosizing/constrained-then-overflow-ancestors.html
fast/text-autosizing/constrained-then-position-absolute-ancestors.html
fast/text-autosizing/constrained-then-position-fixed-ancestors.html
fast/text-autosizing/em-margin-border-padding.html
fast/text-autosizing/font-scale-factor.html
fast/text-autosizing/form-controls-autosizing-button-input-elements.html
fast/text-autosizing/form-controls-autosizing-checkbox-input-element.html
fast/text-autosizing/form-controls-autosizing-radio-input-element.html
fast/text-autosizing/form-controls-autosizing-select-element.html
fast/text-autosizing/form-controls-autosizing-textfield-input-elements.html
fast/text-autosizing/header-li-links-autosizing.html
fast/text-autosizing/header-links-autosizing-different-fontsize.html
fast/text-autosizing/header-links-autosizing.html
fast/text-autosizing/narrow-child.html
fast/text-autosizing/narrow-descendants-combined.html
fast/text-autosizing/narrow-iframe-flattened.html
fast/text-autosizing/narrow-iframe.html
fast/text-autosizing/nested-child.html
fast/text-autosizing/nested-em-line-height.html
fast/text-autosizing/oscillation-javascript-fontsize-change.html
fast/text-autosizing/simple-paragraph.html
fast/text-autosizing/span-child.html
fast/text-autosizing/unwrappable-blocks.html
fast/text-autosizing/unwrappable-inlines.html
fast/text-autosizing/various-font-sizes.html
fast/text-autosizing/wide-block.html
fast/text-autosizing/wide-child.html
fast/text-autosizing/wide-iframe.html
fast/text-autosizing/wide-in-narrow-overflow-scroll.html
fast/text/baseline-inline-block.html
fast/text/combining-character-sequence-vertical.html
fast/text/combining-mark-paint.html
fast/text/han-generic-font-families.html
fast/text/hidpi-text-selection-gap-between-words.html
fast/text/hyphen-min-preferred-width.html
fast/text/international/bidi-explicit-embedding.html
fast/text/mark-matches-broken-line-rendering.html
fast/text/mark-matches-rendering.html
fast/text/multiple-codeunit-vertical-upright.html
fast/text/narrow-non-breaking-space.html
fast/text/synthetic-bold-transformed.html
fast/text/text-combine-rendering.html
fast/text/vertical-quotation-marks.html
fast/text/word-break-keep-all.html
fast/text/word-space-between-inlines.html
fonts/font-fallback-prefers-pictographs.html
http/tests/canvas/canvas-slow-font-loading.html
http/tests/css/vertical-align-baseline-after-image-load-2.html
http/tests/css/vertical-align-baseline-after-image-load-3.html
http/tests/css/vertical-align-baseline-after-image-load.html
http/tests/loading/authentication-after-redirect-stores-wrong-credentials/authentication-after-redirect-stores-wrong-credentials.html
http/tests/loading/basic-auth-resend-wrong-credentials.html
http/tests/loading/basic-credentials-sent-automatically.html
http/tests/multipart/multipart-replace-non-html-content.php
http/tests/navigation/anchor-basic.html	crash	history internal history
http/tests/navigation/page-cache-iframe-no-current-historyItem.html
http/tests/navigation/timerredirect-basic.html	crash	history internal history
http/tests/security/svg-image-with-css-cross-domain.html
http/tests/xmlhttprequest/cache-override.html
http/tests/xmlhttprequest/cross-origin-cookie-storage.html
http/tests/xmlhttprequest/failed-auth.html
http/tests/xmlhttprequest/range-test.html
http/tests/xmlhttprequest/remember-bad-password.html
ietestcenter/css3/flexbox/flexbox-align-baseline-001.htm
ietestcenter/css3/flexbox/flexbox-align-center-001.htm
ietestcenter/css3/flexbox/flexbox-align-center-002.htm
ietestcenter/css3/flexbox/flexbox-align-stretch-001.htm
ietestcenter/css3/flexbox/flexbox-layout-001.htm
ietestcenter/css3/flexbox/flexbox-layout-002.htm
ietestcenter/css3/multicolumn/column-containing-block-001.htm
ietestcenter/css3/multicolumn/column-containing-block-002.htm
ietestcenter/css3/multicolumn/column-filling-001.htm
ietestcenter/css3/multicolumn/column-width-applies-to-007.htm
ietestcenter/css3/multicolumn/column-width-applies-to-009.htm
ietestcenter/css3/multicolumn/column-width-applies-to-010.htm
ietestcenter/css3/multicolumn/column-width-applies-to-012.htm
ietestcenter/css3/multicolumn/column-width-applies-to-015.htm
ietestcenter/css3/namespaces/syntax-021.xml
ietestcenter/css3/valuesandunits/units-000.htm
imported/blink/compositing/reorder-z-with-style.html	timeout	history internal history
imported/blink/fast/text-autosizing/print-autosizing.html	timeout	history internal history
imported/blink/paint/theme/search-field-resuts-decoration-crash.html	timeout	history internal history
imported/blink/svg/filters/feColorMatrix-setAttribute-crash1.html	timeout	history internal history
imported/mozilla/svg/as-image/background-image-rect-1png.html
imported/mozilla/svg/as-image/background-image-rect-2.html
imported/mozilla/svg/as-image/border-image-simple-1.html
imported/mozilla/svg/as-image/img-content-outside-viewBox-1.html
imported/mozilla/svg/blend-color.svg
imported/mozilla/svg/blend-difference-stacking.html
imported/mozilla/svg/blend-hard-light.svg
imported/mozilla/svg/blend-hue.svg
imported/mozilla/svg/blend-luminosity.svg
imported/mozilla/svg/blend-saturation.svg
imported/mozilla/svg/clip-02a.svg
imported/mozilla/svg/clip-02b.svg
imported/mozilla/svg/conditions-01.svg
imported/mozilla/svg/conditions-06.svg
imported/mozilla/svg/conditions-07.svg
imported/mozilla/svg/conditions-08.svg
imported/mozilla/svg/cssComment-in-attribute-01.svg
imported/mozilla/svg/dynamic-conditions-01.svg
imported/mozilla/svg/dynamic-conditions-03.svg
imported/mozilla/svg/dynamic-marker-01.svg
imported/mozilla/svg/dynamic-pattern-01.svg
imported/mozilla/svg/dynamic-switch-01.svg
imported/mozilla/svg/dynamic-textPath-01.svg
imported/mozilla/svg/dynamic-textPath-02.svg
imported/mozilla/svg/dynamic-textPath-03.svg
imported/mozilla/svg/dynamic-use-01.svg
imported/mozilla/svg/dynamic-use-03.svg
imported/mozilla/svg/dynamic-use-07.svg
imported/mozilla/svg/filters/feColorMatrix-1.svg
imported/mozilla/svg/filters/feColorMatrix-2.svg
imported/mozilla/svg/filters/feComposite-1.svg
imported/mozilla/svg/filters/feConvolveMatrix-1.svg
imported/mozilla/svg/filters/feConvolveMatrix-2.svg
imported/mozilla/svg/filters/feConvolveMatrix-bias-01.svg
imported/mozilla/svg/filters/feSpecularLighting-1.svg
imported/mozilla/svg/filters/feTurbulence-offset.svg
imported/mozilla/svg/filters/svg-filter-chains/clip-input.svg
imported/mozilla/svg/filters/svg-filter-chains/clip-output.svg
imported/mozilla/svg/image/image-opacity-01.svg
imported/mozilla/svg/image/image-opacity-02.svg
imported/mozilla/svg/image/image-rotate-01.svg
imported/mozilla/svg/image/image-translate-01.svg
imported/mozilla/svg/image/image-x-01.svg
imported/mozilla/svg/image/image-xy-01.svg
imported/mozilla/svg/image/image-y-01.svg
imported/mozilla/svg/linearGradient-basic-03.svg
imported/mozilla/svg/pathLength-01.svg
imported/mozilla/svg/smil/transform/rotate-angle-4.svg
imported/mozilla/svg/smil/transform/rotate-angle-5.svg
imported/mozilla/svg/svg-integration/dynamic-conditions-outer-svg-02.xhtml
imported/mozilla/svg/svg-integration/dynamic-conditions-outer-svg-03.xhtml
imported/mozilla/svg/switch-01.svg
imported/mozilla/svg/text-layout-01.svg
imported/mozilla/svg/text-layout-05.svg
imported/mozilla/svg/text-white-space-01.svg
imported/mozilla/svg/text/dynamic-multiple-x.svg
imported/mozilla/svg/text/dynamic-non-scaling-stroke.svg
imported/mozilla/svg/text/ignore-text-align-2.svg
imported/mozilla/svg/text/multiple-chunks-bidi.svg
imported/mozilla/svg/text/multiple-chunks-different-anchor-bidi.svg
imported/mozilla/svg/text/multiple-chunks-different-anchor-rtl.svg
imported/mozilla/svg/text/multiple-chunks-multiple-dx-bidi.svg
imported/mozilla/svg/text/multiple-chunks-multiple-dx-different-anchor-bidi.svg
imported/mozilla/svg/text/multiple-chunks-multiple-dx-different-anchor-rtl.svg
imported/mozilla/svg/text/multiple-chunks-multiple-dx-rtl.svg
imported/mozilla/svg/text/multiple-chunks-rtl.svg
imported/mozilla/svg/text/multiple-x-anchor-end-bidi.svg
imported/mozilla/svg/text/multiple-x-anchor-end-rtl.svg
imported/mozilla/svg/text/multiple-x-bidi.svg
imported/mozilla/svg/text/multiple-x-holes-bidi.svg
imported/mozilla/svg/text/multiple-x-holes-multiple-dx-rtl.svg
imported/mozilla/svg/text/multiple-x-holes-rtl.svg
imported/mozilla/svg/text/multiple-x-multiple-dx-anchor-end-bidi.svg
imported/mozilla/svg/text/multiple-x-multiple-dx-anchor-end-rtl.svg
imported/mozilla/svg/text/multiple-x-multiple-dx-bidi.svg
imported/mozilla/svg/text/multiple-x-multiple-dx-rtl.svg
imported/mozilla/svg/text/multiple-x-rtl.svg
imported/mozilla/svg/text/pseudo-first-letter.svg
imported/mozilla/svg/text/pseudo-first-line-2.svg
imported/mozilla/svg/text/pseudo-first-line.svg
imported/mozilla/svg/text/simple-multiline-anchor-end.svg
imported/mozilla/svg/text/simple-multiline-number.svg
imported/mozilla/svg/text/simple-multiline-pc.svg
imported/mozilla/svg/text/simple-multiline.svg
imported/mozilla/svg/text/simple-multiple-dx-anchor-end-bidi.svg
imported/mozilla/svg/text/simple-multiple-dx-anchor-end-rtl.svg
imported/mozilla/svg/text/simple-multiple-dx-anchor-middle-rtl.svg
imported/mozilla/svg/text/simple-multiple-dx-bidi.svg
imported/mozilla/svg/text/simple-multiple-dx-rtl.svg
imported/mozilla/svg/text/text-shadow.svg
imported/mozilla/svg/text/textLength-5.svg
imported/mozilla/svg/text/textLength-6.svg
imported/mozilla/svg/text/textpath-multiline-2.svg
imported/mozilla/svg/text/textpath-multiline.svg
imported/mozilla/svg/tspan-rotate-07.svg
imported/w3c/css/css-color-3/t422-rgba-onscreen-b.xht
imported/w3c/css/css-color-3/t422-rgba-onscreen-multiple-boxes-c.xht
imported/w3c/css/css-color-3/t425-hsla-onscreen-multiple-boxes-c.xht
imported/w3c/css/css-multicol-1/multicol-br-inside-avoidcolumn-001.xht
imported/w3c/css/css-multicol-1/multicol-break-000.xht
imported/w3c/css/css-multicol-1/multicol-break-001.xht
imported/w3c/css/css-multicol-1/multicol-count-computed-001.xht
imported/w3c/css/css-multicol-1/multicol-count-computed-002.xht
imported/w3c/css/css-multicol-1/multicol-count-large-001.xht
imported/w3c/css/css-multicol-1/multicol-count-large-002.xht
imported/w3c/css/css-multicol-1/multicol-fill-auto-block-children-001.xht
imported/w3c/css/css-multicol-1/multicol-fill-auto-block-children-002.xht
imported/w3c/css/css-multicol-1/multicol-fill-auto.xht
imported/w3c/css/css-multicol-1/multicol-inherit-003.xht
imported/w3c/css/css-multicol-1/multicol-inherit-004.xht
imported/w3c/css/css-multicol-1/multicol-nested-column-rule-001.xht
imported/w3c/css/css-multicol-1/multicol-nested-margin-002.xht
imported/w3c/css/css-multicol-1/multicol-nested-margin-003.xht
imported/w3c/css/css-multicol-1/multicol-nested-margin-004.xht
imported/w3c/css/css-multicol-1/multicol-nested-margin-005.xht
imported/w3c/css/css-multicol-1/multicol-rule-002.xht
imported/w3c/css/css-multicol-1/multicol-rule-004.xht
imported/w3c/css/css-multicol-1/multicol-rule-fraction-003.xht
imported/w3c/css/css-multicol-1/multicol-rule-px-001.xht
imported/w3c/css/css-multicol-1/multicol-rule-stacking-001.xht
imported/w3c/css/css-multicol-1/multicol-shorthand-001.xht
imported/w3c/css/css-multicol-1/multicol-span-all-block-sibling-003.xht
imported/w3c/css/css-multicol-1/multicol-span-all-child-001.xht
imported/w3c/css/css-multicol-1/multicol-span-all-margin-002.xht
imported/w3c/css/css-multicol-1/multicol-span-all-margin-bottom-001.xht
imported/w3c/css/css-multicol-1/multicol-span-all-margin-nested-001.xht
imported/w3c/css/css-multicol-1/multicol-span-all-margin-nested-002.xht
imported/w3c/css/css-multicol-1/multicol-span-all-margin-nested-003.xht
imported/w3c/css/css-multicol-1/multicol-span-all-margin-nested-firstchild-001.xht
imported/w3c/css/css-multicol-1/multicol-table-cell-vertical-align-001.xht
imported/w3c/css/css-multicol-1/multicol-width-ems-001.xht
imported/w3c/css/css-multicol-1/multicol-width-small-001.xht
imported/w3c/css/css-multicol-1/multicol-zero-height-001.xht
imported/w3c/web-platform-tests/dom/events/EventTarget-dispatchEvent.html
imported/w3c/web-platform-tests/dom/nodes/Document-createEvent.html
imported/w3c/web-platform-tests/html/dom/elements/global-attributes/dir_auto-pre-N-between-Rs.html
imported/w3c/web-platform-tests/html/dom/elements/global-attributes/dir_auto-textarea-N-between-Rs.html
imported/w3c/web-platform-tests/html/dom/elements/global-attributes/dir_auto-textarea-script-N-between-Rs.html
imported/w3c/web-platform-tests/html/dom/elements/global-attributes/style-01.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-video-element/video_initially_paused.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/image01.html
mathml/presentation/bug97990.html
mathml/presentation/semantics.html
mathml/presentation/tokenElements-background-color.html
mathml/roots-removeChild.html
platform/ios-simulator/ios/scrolling/scrollTo-at-page-load.html
scrollbars/corner-resizer-window-inactive.html
scrollbars/overflow-scrollbar-combinations.html
scrollbars/scrollbar-iframe-click-does-not-blur-content.html
svg/animations/getCurrentTime-pause-unpause.html
svg/animations/mozilla/animateMotion-mpath-targetChange-1.svg
svg/animations/reinserting-svg-into-document.html
svg/as-image/svg-image-with-data-uri-from-canvas.html
svg/canvas/canvas-global-alpha-svg.html
svg/clip-path/clip-path-line-use-before-defined.svg
svg/clip-path/clip-path-on-svg-001.svg
svg/clip-path/clip-path-on-svg-002.svg
svg/css/parse-height.html
svg/css/parse-length.html
svg/custom/anchor-on-use.svg
svg/custom/font-face-cascade-order.svg
svg/custom/getSubStringLength.html
svg/custom/non-scaling-stroke-update.svg
svg/custom/relative-sized-shadow-tree-content-with-symbol.xhtml
svg/custom/repaint-shadow.svg
svg/custom/use-css-events.svg
svg/custom/use-on-disallowed-foreign-object-3.svg
svg/dom/SVGLength-px-with-context.html
svg/filters/feDisplacementMap-filterUnits.svg
svg/filters/feMorphology-radius-cases.svg
svg/filters/feOffset.svg
svg/filters/feTile.svg
svg/filters/feTurbulence_bad_seeds.html
svg/filters/filter-clip.svg
svg/hixie/error/017.xml
svg/hixie/text/001.xml
svg/masking/mask-transformed-text-missing.svg
svg/text/alt-glyph-for-surrogate-pair.svg
svg/text/hidpi-text-selection-rect-position.html
svg/text/non-bmp-positioning-lists.svg
svg/text/svg-font-word-rounding-hacks-spaces.html
svg/text/text-outline.html
svg/text/text-rect-precision.html
svg/text/textpath-outline.svg
svg/text/tspan-outline-2.svg
svg/text/tspan-outline.html
svg/W3C-SVG-1.2-Tiny/struct-use-recursion-01-t.svg
svg/W3C-SVG-1.2-Tiny/struct-use-recursion-02-t.svg
svg/W3C-SVG-1.2-Tiny/struct-use-recursion-03-t.svg
transforms/hittest-translated-content-off-to-infinity-and-back.html
transitions/steps-timing-function.html
transitions/svg-layout-transition.html
transitions/transform-op-list-match.html
transitions/transform-op-list-no-match.html
transitions/transition-end-event-nested.html
webarchive/loading/video-in-webarchive.html

<https://build.webkit.org/results/Apple%20iOS%209%20Simulator%20Release%20WK2%20(Tests)/r193902%20(1662)/results.html>
Comment 1 Ryan Haddad 2015-12-14 12:38:53 PST
I've run these tests locally multiple times, and they pass unexpectedly on every run:

css3/blending/blend-mode-accelerated-parent-overflow-hidden.html
css3/blending/blend-mode-body-child-isolate-html-background-color.html
css3/blending/blend-mode-body-composited-child-background-color.html
css3/blending/blend-mode-body-composited-child.html
css3/blending/blend-mode-clip-accelerated-blending-child.html
css3/blending/blend-mode-clip-accelerated-blending-double.html
css3/blending/blend-mode-clip-accelerated-blending-with-siblings.html
css3/blending/blend-mode-clip-rect-accelerated-blending.html
Comment 2 Ryan Haddad 2015-12-14 12:44:38 PST
(In reply to comment #1)
> I've run these tests locally multiple times, and they pass unexpectedly on
> every run:
> 
> css3/blending/blend-mode-accelerated-parent-overflow-hidden.html
> css3/blending/blend-mode-body-child-isolate-html-background-color.html
> css3/blending/blend-mode-body-composited-child-background-color.html
> css3/blending/blend-mode-body-composited-child.html
> css3/blending/blend-mode-clip-accelerated-blending-child.html
> css3/blending/blend-mode-clip-accelerated-blending-double.html
> css3/blending/blend-mode-clip-accelerated-blending-with-siblings.html
> css3/blending/blend-mode-clip-rect-accelerated-blending.html

Removed failure expectation in <http://trac.webkit.org/changeset/194051>
Comment 3 Ryan Haddad 2016-02-25 14:45:48 PST
Removed failure expectation for 26 editing tests in <http://trac.webkit.org/projects/webkit/changeset/197135>
Comment 4 Ryan Haddad 2016-02-29 17:01:17 PST
Re-enabled fast/multicol/newmulticol tests in <http://trac.webkit.org/changeset/197376>
Comment 5 Ryan Haddad 2016-04-27 15:39:13 PDT
Re-enabled more previously failing tests in <http://trac.webkit.org/changeset/200146>
Comment 6 Radar WebKit Bug Importer 2017-11-15 13:11:04 PST
<rdar://problem/35568931>